Bug 227222 - devel/allegro-devel Update to 5.2.4
Summary: devel/allegro-devel Update to 5.2.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-03 00:14 UTC by Rainbow
Modified: 2021-02-21 11:30 UTC (History)
4 users (show)

See Also:


Attachments
updateto524.diff (1.25 KB, patch)
2018-04-03 00:14 UTC, Rainbow
no flags Details | Diff
Fixed .diff (1.24 KB, patch)
2018-04-03 00:16 UTC, Rainbow
no flags Details | Diff
Full diff (76.00 KB, patch)
2020-04-05 16:00 UTC, Andy Mender
no flags Details | Diff
Full diff (74.69 KB, patch)
2020-04-05 17:09 UTC, Andy Mender
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainbow 2018-04-03 00:14:14 UTC
Created attachment 192136 [details]
updateto524.diff

As noted on http://liballeg.org/ , the allegro library is currently on 5.2.4 and now uses GitHub rather than SourceForge.
I've attached a diff that builds the current latest version.
Comment 1 Rainbow 2018-04-03 00:16:11 UTC
Created attachment 192138 [details]
Fixed .diff
Comment 2 Rainbow 2018-05-21 00:54:24 UTC
Submitted https://reviews.freebsd.org/D15504 to request maintainership and update
Comment 3 Koichiro Iwao freebsd_committer 2019-02-09 16:07:50 UTC
Until the review complere, I release this.
Comment 4 Tobias Kortkamp freebsd_committer 2019-07-04 17:40:04 UTC
Maintainer has been reset in ports r505847.
Comment 5 Andy Mender 2020-04-04 21:02:07 UTC
I see this hasn't been touched for a longer while so I decided to tackle it, since I want to learn allegro5 for some of my game projects.

I applied the changes and suggestions listed here: https://reviews.freebsd.org/D15504

The most recent stable release is 5.2.6, however, and that's the one I'm targeting. The main issues are related to man pages, which have been removed in favor of the Haskell-based pandoc, and example projects and demos, which somehow have moved to different sub-directories.

I will upload diffs of the Makefile, distinfo, pkg-descr, etc. once I actually manage to build the port and install it.
Comment 6 Andy Mender 2020-04-05 16:00:27 UTC
Created attachment 213096 [details]
Full diff

I revised the Makefile, pkg-plist, added a patch file for a new Allegro5 demo, regenerated the distinfo file and ran a couple of test builds. The complete diff is attached.
Comment 7 Andy Mender 2020-04-05 17:09:09 UTC
Created attachment 213100 [details]
Full diff

There were still some erroneous records in the pkg-plist file. Apologies for that. The new diff rectifies that and the port now builds and installs fully.
Comment 8 Li-Wen Hsu freebsd_committer 2021-02-13 09:28:26 UTC
(In reply to Andy Mender from comment #7)
Thanks for the patch, do you also want to be the maintainer of this port?
Comment 9 Andy Mender 2021-02-14 08:54:24 UTC
(In reply to Li-Wen Hsu from comment #8)
Apologies, but I don't actually use FreeBSD anymore so that's not very likely :(.
Comment 10 Dmitry Marakasov freebsd_committer 2021-02-19 23:14:00 UTC
Committed, thanks! And cleaned up the port somewhat. Note that there were some issues with your patch, namely skater.in was missing, plist missed some manpages and distinfo had allegro/liballeg-allegro5-5.2.6.0_GH0.tar.gz duplicated.
Comment 11 commit-hook freebsd_committer 2021-02-19 23:14:33 UTC
A commit references this bug:

Author: amdmi3
Date: Fri Feb 19 23:13:40 UTC 2021
New revision: 566112
URL: https://svnweb.freebsd.org/changeset/ports/566112

Log:
  devel/allegro-devel: unbreak, update to 5.2.4 and rename to allegro5

  Rename the port to allegro5 to match upstream project name,
  cleanup and simplify the port

  PR:		227222
  Submitted by:	rainbow@sanitylinux.org

Changes:
  head/MOVED
  head/devel/Makefile
  head/devel/allegro-devel/
  head/devel/allegro5/
  head/devel/allegro5/Makefile
  head/devel/allegro5/distinfo
  head/devel/allegro5/files/cosmic_protector.in
  head/devel/allegro5/files/patch-CMakeLists.txt
  head/devel/allegro5/files/patch-addons_audio_alsa.c
  head/devel/allegro5/files/pkg-message.in
  head/devel/allegro5/files/speed.in
  head/devel/allegro5/pkg-descr
  head/devel/allegro5/pkg-plist
Comment 12 Andy Mender 2021-02-21 11:30:01 UTC
(In reply to Dmitry Marakasov from comment #10)
Thank you for this! :)